# cpl_query.extension package

## Submodules

## cpl_query.extension.list module

class cpl_query.extension.list.List(t: type | None = None, values: Iterator | None = None)

  Bases: `Iterable`

  Implementation of :class: cpl_query.extension.iterable.Iterable

  to_enumerable() → EnumerableABC

    Converts :class: cpl_query.iterable.iterable_abc.IterableABC to :class: cpl_query.enumerable.enumerable_abc.EnumerableABC

    Returns:
      class:

        cpl_query.enumerable.enumerable_abc.EnumerableABC

  to_iterable() → IterableABC

    Converts :class: cpl_query.enumerable.enumerable_abc.EnumerableABC to :class: cpl_query.iterable.iterable_abc.IterableABC

    Returns:
      class:

        cpl_query.iterable.iterable_abc.IterableABC

## Module contents

### cpl-query CPL Queries

CPL Python integrated Queries

copyright:

  3. 2021 - 2023 sh-edraft.de

license:

  MIT, see LICENSE for more details.

class cpl_query.extension.VersionInfo(major, minor, micro)

  Bases: `tuple`

  major

    Alias for field number 0

  micro

    Alias for field number 2

  minor

    Alias for field number 1